Security Enhanced Linux Reference Policy

# Layer: system

## Module: udev

Interfaces

### Description:

Policy for udev.

### Interfaces:

udev_create_kobject_uevent_sockets( domain )

##### Summary

Allow domain to create uevent sockets.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

udev_domtrans( domain )

##### Summary

Execute udev in the udev domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

udev_domtrans_udevadm( domain )

##### Summary

Execute udev admin in the udevadm domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

udev_dontaudit_rw_dgram_sockets( domain )

##### Summary

Do not audit attempts to read or write to a udev unix datagram socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

udev_dontaudit_rw_runtime_files( domain )

##### Summary

dontaudit attempts to read/write udev runtime files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

udev_dontaudit_use_fds( domain )

##### Summary

Do not audit attempts to inherit a udev file descriptor.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

udev_exec( domain )

##### Summary

Execute udev in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

udev_exec_udevadm( domain )

##### Summary

Execute udevadm in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

udev_helper_domtrans( domain )

##### Summary

Execute a udev helper in the udev domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

udev_list_runtime( domain )

##### Summary

List udev runtime dirs.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

udev_manage_rules_files( domain )

##### Summary

Manage udev rules files

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

udev_manage_runtime_dirs( domain )

##### Summary

Create, read, write, and delete udev runtime directories

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

udev_manage_runtime_files( domain )

##### Summary

Create, read, write, and delete udev runtime files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

udev_read_rules_files( domain )

##### Summary

read udev rules files

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

udev_read_runtime_files( domain )

##### Summary

Read udev runtime files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

udev_read_state( domain )

##### Summary

Allow process to read udev process state.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

udev_relabel_rules_dirs( domain )

##### Summary

Relabel udev rules directories

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

udev_relabel_rules_files( domain )

##### Summary

Relabel udev rules files

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

udev_run_domain( domain , entry_file )

##### Summary

Allow udev to execute the specified program in the specified domain.

##### Description

This is a interface to support the UDEV 'RUN' command. This will allow the command run by udev to be run in a domain other than udev_t.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to execute in.
entry_file | Domain entry point file.

udev_run_udevadm( domain , role )

##### Summary

Execute udevadm in the udevadm domain, and allow the specified role the udevadm domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

udev_search_runtime( domain )

##### Summary

Search through udev runtime dirs.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

udev_signal( domain )

##### Summary

Send generic signals to udev.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return